Loading...
Searching...
No Matches
pcl::PointXYZRGBL Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointXYZRGBL:

## Public Member Functions

constexpr | PointXYZRGBL (const _PointXYZRGBL &p)
constexpr | PointXYZRGBL (std::uint32_t _label=0)
constexpr | PointXYZRGBL (std::uint8_t _r, std::uint8_t _g, std::uint8_t _b)
constexpr | PointXYZRGBL (float _x, float _y, float _z)
constexpr | PointXYZRGBL (float _x, float _y, float _z, std::uint8_t _r, std::uint8_t _g, std::uint8_t _b, std::uint32_t _label=0, std::uint8_t _a=255)

## Friends

std::ostream & | operator<< (std::ostream &os, const PointXYZRGBL &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointXYZRGBL
PCL_ADD_POINT4D PCL_ADD_RGB std::uint32_t | label

## Detailed Description

Definition at line 644 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointXYZRGBL() [1/5]

constexpr pcl::PointXYZRGBL::PointXYZRGBL | ( | const _PointXYZRGBL & | p | ) |

inline constexpr

Definition at line 646 of file point_types.hpp.

## PointXYZRGBL() [2/5]

constexpr pcl::PointXYZRGBL::PointXYZRGBL | ( | std::uint32_t | _label = `0` | ) |

inline constexpr

Definition at line 648 of file point_types.hpp.

## PointXYZRGBL() [3/5]

constexpr pcl::PointXYZRGBL::PointXYZRGBL | ( | std::uint8_t | _r,
|  | std::uint8_t | _g,
|  | std::uint8_t | _b
| ) |  |

inline constexpr

Definition at line 651 of file point_types.hpp.

## PointXYZRGBL() [4/5]

constexpr pcl::PointXYZRGBL::PointXYZRGBL | ( | float | _x,
|  | float | _y,
|  | float | _z
| ) |  |

inline constexpr

Definition at line 654 of file point_types.hpp.

## PointXYZRGBL() [5/5]

constexpr pcl::PointXYZRGBL::PointXYZRGBL | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | std::uint8_t | _r,
|  | std::uint8_t | _g,
|  | std::uint8_t | _b,
|  | std::uint32_t | _label = `0`,
|  | std::uint8_t | _a = `255`
| ) |  |

inline constexpr

Definition at line 657 of file point_types.hpp.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const PointXYZRGBL & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp